<div class="modal-header">
  <button type="button" class="close" (click)="close()">
    &times;
  </button>
  <h4 class="modal-title">Quản lý thư viện</h4>
</div>
<div class="modal-body">
  <div class="tab-content clearfix">
    <tabset>
      <tab class="active" heading="Files">
        <div id="files-list" class="tab-pane fade in active">

          <!-- <div class="col-md-3">
                
                              <div class="panel panel-default">
                                <div class="panel-heading">Thư mục</div>
                                <div class="panel-body">
                
                                  <ul>
                                    <li *ngFor="let folder of folders">
                                      {{folder.name}}
                                    </li>
                                  </ul>
                
                                </div>
                              </div>
                
                            </div> -->

          <ul class="files list-unstyled clearfix">
            <li (click)="_selectedImage(file)" [class.selected]="selectedImage?.id == file?.id"
              *ngFor="let file of files">
              <a class="rto-thumbnail">
                <span [style.background-image]="'url(' + file.thumbnail + ')'"></span>
              </a>
              <h4>{{file.file_name}}</h4>
              <div class="file-options">
                <a (click)="copyImageUrl(file.thumbnail)" class="btn btn-sm"><i class="fa fa-copy"></i></a>
              </div>
            </li>
          </ul>

          <div class="list-bottom clearfix">

            <div class="pull-left">
              <wms-pagination [perPage]="perPage" (pageChange)="pageChange($event)" [pagingData]="pagination">
              </wms-pagination>
            </div>

            <div class="pull-right">

              <button type="button" (click)="finishSeleced()" class="btn btn-primary">Chọn</button>

            </div>

          </div>


        </div>
      </tab>
      <tab heading="Upload file">
        <div id="upload-file" class="tab-pane">
          <div class="form-group">
            <label for="file">Choose File</label>
            <input type="file" id="file" (change)="handleFileInput($event.target.files)">
          </div>
          <button class="btn btn-primary" type="button" (click)="uploadFileToActivity()">Upload</button>

        </div>
      </tab>
    </tabset>
  </div>
</div>
<div class="modal-footer text-right">
  <button type="button" class="btn btn-default" (click)="close()">
    Close
  </button>
</div>